PHP-инклюдинг в phpGalleryScript

Дата публикации:
14.04.2007
Всего просмотров:
1529
Опасность:
Высокая
Наличие исправления:
Нет
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
phpGalleryScript 1.x
Уязвимые версии: phpGalleryScript 1.0, возможно другие версии.

Описание:
Уязвимость позволяет удаленному пользователю выполнить произвольный PHP сценарий на целевой системе.

Уязвимость существует из-за недостаточной обработки входных данных в параметре "include_class" в сценарии php/init.gallery.php. Удаленный пользователь может выполнить произвольный PHP сценарий на целевой системе с привилегиями Web сервера. Для удачной эксплуатации уязвимости опция "register_globals" должна быть включена в конфигурационном файле PHP.

URL производителя: tomex.org/en_downloads_gallery.html

Решение: Способов устранения уязвимости не существует в настоящее время.

или введите имя

CAPTCHA